## org.apache.myfaces.component.html.ext
Class HtmlDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  javax.faces.component.html.HtmlDataTable
                      org.apache.myfaces.component.html.ext.HtmlDataTableHack
                          org.apache.myfaces.component.html.ext.HtmlDataTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, UserRoleAware

public class HtmlDataTable
extends HtmlDataTableHack
implements UserRoleAware

Version:
  $Revision: 290979 $ $Date: 2005-09-22 12:52:51 -0400 (Thu, 22 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: mbr $), Manfred Geiler

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlDataTable()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext context)`
`void` `encodeEnd(javax.faces.context.FacesContext context)`
`java.lang.String` `getClientId(javax.faces.context.FacesContext context)`
`protected javax.faces.model.DataModel` `getDataModel()`
`java.lang.String` `getEnabledOnUserRole()`
`int` `getFirst()`
`java.lang.String` `getForceIdIndexFormula()`
`protected org.apache.myfaces.component.html.ext._SerializableDataModel` `getPreservedDataModel()`
`java.lang.String` `getPreviousRowDataVar()`
`java.lang.String` `getRowCountVar()`
`java.lang.String` `getRowIndexVar()`
`java.lang.String` `getRowOnClick()`
`java.lang.String` `getRowOnDblClick()`
`java.lang.String` `getRowOnKeyDown()`
`java.lang.String` `getRowOnKeyPress()`
`java.lang.String` `getRowOnKeyUp()`
`java.lang.String` `getRowOnMouseDown()`
`java.lang.String` `getRowOnMouseMove()`
`java.lang.String` `getRowOnMouseOut()`
`java.lang.String` `getRowOnMouseOver()`
`java.lang.String` `getRowOnMouseUp()`
`int` `getRows()`
`java.lang.String` `getRowStyle()`
`java.lang.String` `getRowStyleClass()`
`org.apache.myfaces.component.html.ext._SerializableDataModel` `getSerializableDataModel()`
`java.lang.String` `getSortColumn()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isPreserveDataModel()`
`boolean` `isPreserveSort()`
`boolean` `isRendered()`
`boolean` `isRenderedIfEmpty()`
`boolean` `isSortAscending()`
`protected boolean` `isValidChildren()`
`void` `processDecodes(javax.faces.context.FacesContext context)`
`void` `processUpdates(javax.faces.context.FacesContext context)`
`void` `processValidators(javax.faces.context.FacesContext context)`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setFirst(int first)`
`void` `setForceIdIndexFormula(java.lang.String forceIdIndexFormula)`
`protected void` `setIsValidChildren(boolean isValidChildren)`
`void` `setPreserveDataModel(boolean preserveDataModel)`
`protected void` `setPreservedDataModel(org.apache.myfaces.component.html.ext._SerializableDataModel preservedDataModel)`
`void` `setPreserveSort(boolean preserveSort)`
`void` `setPreviousRowDataVar(java.lang.String previousRowDataVar)`
`void` `setRenderedIfEmpty(boolean renderedIfEmpty)`
`void` `setRowCountVar(java.lang.String rowCountVar)`
`void` `setRowIndex(int rowIndex)`
`void` `setRowIndexVar(java.lang.String rowIndexVar)`
`void` `setRowOnClick(java.lang.String rowOnClick)`
`void` `setRowOnDblClick(java.lang.String rowOnDblClick)`
`void` `setRowOnKeyDown(java.lang.String rowOnKeyDown)`
`void` `setRowOnKeyPress(java.lang.String rowOnKeyPress)`
`void` `setRowOnKeyUp(java.lang.String rowOnKeyUp)`
`void` `setRowOnMouseDown(java.lang.String rowOnMouseDown)`
`void` `setRowOnMouseMove(java.lang.String rowOnMouseMove)`
`void` `setRowOnMouseOut(java.lang.String rowOnMouseOut)`
`void` `setRowOnMouseOver(java.lang.String rowOnMouseOver)`
`void` `setRowOnMouseUp(java.lang.String rowOnMouseUp)`
`void` `setRows(int rows)`
`void` `setRowStyle(java.lang.String rowStyle)`
`void` `setRowStyleClass(java.lang.String rowStyleClass)`
`void` `setSortAscending(boolean sortAscending)`
`void` `setSortColumn(java.lang.String sortColumn)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlDataTableHack
`createDataModel, getRowCount, getRowData, getRowIndex, isRowAvailable, setDataModel, setValue, setValueBinding`

Methods inherited from class javax.faces.component.html.HtmlDataTable

`getBgcolor, getBorder, getCellpadding, getCellspacing, getColumnClasses, getDir, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getStyleClass, getSummary, getTitle, getWidth, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

Methods inherited from class javax.faces.component.UIData
`broadcast, getFamily, getFooter, getHeader, getValue, getVar, queueEvent, setFooter, setHeader, setVar`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlDataTable

    public HtmlDataTable()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

### setRowIndex

    public void setRowIndex(int rowIndex)

  Overrides:
    `setRowIndex` in class `HtmlDataTableHack`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `HtmlDataTableHack`
  See Also:
    `UIData.processValidators(javax.faces.context.FacesContext)`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `HtmlDataTableHack`
  See Also:
    `UIData.processUpdates(javax.faces.context.FacesContext)`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `HtmlDataTableHack`
  Throws:
    `java.io.IOException`
  See Also:
    `UIData.encodeBegin(javax.faces.context.FacesContext)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlDataTableHack`
  Throws:
    `java.io.IOException`
  See Also:
    `UIData.encodeEnd(javax.faces.context.FacesContext)`

### getFirst

    public int getFirst()

### setFirst

    public void setFirst(int first)

### getRows

    public int getRows()

### setRows

    public void setRows(int rows)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### getDataModel

    protected javax.faces.model.DataModel getDataModel()

  Overrides:
    `getDataModel` in class `HtmlDataTableHack`
  See Also:
    `HtmlDataTableHack.getDataModel()`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### getSerializableDataModel

    public org.apache.myfaces.component.html.ext._SerializableDataModel getSerializableDataModel()

### isRendered

    public boolean isRendered()

### setForceIdIndexFormula

    public void setForceIdIndexFormula(java.lang.String forceIdIndexFormula)

### getForceIdIndexFormula

    public java.lang.String getForceIdIndexFormula()

### setSortColumn

    public void setSortColumn(java.lang.String sortColumn)

### getSortColumn

    public java.lang.String getSortColumn()

### setSortAscending

    public void setSortAscending(boolean sortAscending)

### isSortAscending

    public boolean isSortAscending()

### setRowOnMouseOver

    public void setRowOnMouseOver(java.lang.String rowOnMouseOver)

### getRowOnMouseOver

    public java.lang.String getRowOnMouseOver()

### setRowOnMouseOut

    public void setRowOnMouseOut(java.lang.String rowOnMouseOut)

### getRowOnMouseOut

    public java.lang.String getRowOnMouseOut()

### setRowOnClick

    public void setRowOnClick(java.lang.String rowOnClick)

### getRowOnClick

    public java.lang.String getRowOnClick()

### setRowOnDblClick

    public void setRowOnDblClick(java.lang.String rowOnDblClick)

### getRowOnDblClick

    public java.lang.String getRowOnDblClick()

### getRowOnKeyDown

    public java.lang.String getRowOnKeyDown()

### setRowOnKeyDown

    public void setRowOnKeyDown(java.lang.String rowOnKeyDown)

### getRowOnKeyPress

    public java.lang.String getRowOnKeyPress()

### setRowOnKeyPress

    public void setRowOnKeyPress(java.lang.String rowOnKeyPress)

### getRowOnKeyUp

    public java.lang.String getRowOnKeyUp()

### setRowOnKeyUp

    public void setRowOnKeyUp(java.lang.String rowOnKeyUp)

### getRowStyleClass

    public java.lang.String getRowStyleClass()

### setRowStyleClass

    public void setRowStyleClass(java.lang.String rowStyleClass)

### getRowStyle

    public java.lang.String getRowStyle()

### setRowStyle

    public void setRowStyle(java.lang.String rowStyle)

### getRowOnMouseDown

    public java.lang.String getRowOnMouseDown()

### setRowOnMouseDown

    public void setRowOnMouseDown(java.lang.String rowOnMouseDown)

### getRowOnMouseMove

    public java.lang.String getRowOnMouseMove()

### setRowOnMouseMove

    public void setRowOnMouseMove(java.lang.String rowOnMouseMove)

### getRowOnMouseUp

    public java.lang.String getRowOnMouseUp()

### setRowOnMouseUp

    public void setRowOnMouseUp(java.lang.String rowOnMouseUp)

### isValidChildren

    protected boolean isValidChildren()

### setIsValidChildren

    protected void setIsValidChildren(boolean isValidChildren)

### getPreservedDataModel

    protected org.apache.myfaces.component.html.ext._SerializableDataModel getPreservedDataModel()

### setPreservedDataModel

    protected void setPreservedDataModel(org.apache.myfaces.component.html.ext._SerializableDataModel preservedDataModel)

### setPreserveDataModel

    public void setPreserveDataModel(boolean preserveDataModel)

### isPreserveDataModel

    public boolean isPreserveDataModel()

### setPreserveSort

    public void setPreserveSort(boolean preserveSort)

### isPreserveSort

    public boolean isPreserveSort()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### setRenderedIfEmpty

    public void setRenderedIfEmpty(boolean renderedIfEmpty)

### isRenderedIfEmpty

    public boolean isRenderedIfEmpty()

### setRowIndexVar

    public void setRowIndexVar(java.lang.String rowIndexVar)

### getRowIndexVar

    public java.lang.String getRowIndexVar()

### setRowCountVar

    public void setRowCountVar(java.lang.String rowCountVar)

### getRowCountVar

    public java.lang.String getRowCountVar()

### setPreviousRowDataVar

    public void setPreviousRowDataVar(java.lang.String previousRowDataVar)

### getPreviousRowDataVar

    public java.lang.String getPreviousRowDataVar()